Debian Bug report logs - #645240
set dwww/index_docs default to false

version graph

Package: dwww; Maintainer for dwww is Robert Luberda <robert@debian.org>; Source for dwww is src:dwww.

Reported by: Daniel Reichelt <debian@nachtgeist.net>

Date: Thu, 13 Oct 2011 18:48:01 UTC

Severity: wishlist

Tags: squeeze

Found in version dwww/1.11.3

Fixed in version dwww/1.11.7

Done: Robert Luberda <robert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@nachtgeist.net, Debian Live Project <debian-live@lists.debian.org>:
Bug#645240; Package live-build. (Thu, 13 Oct 2011 18:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Reichelt <debian@nachtgeist.net>:
New Bug report received and forwarded. Copy sent to debian@nachtgeist.net, Debian Live Project <debian-live@lists.debian.org>. (Thu, 13 Oct 2011 18:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Reichelt <debian@nachtgeist.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Thu, 13 Oct 2011 20:44:57 +0200
Package: live-build
Version: 2.0.12-2
Severity: normal
Tags: squeeze

Hi live team,

I'm building quite large live systems which I employ in daily production use,
so they are BIG (around 4GB). Recently I added the package dwww, which causes
the build to fail occasionally. I was able to track down the issue to the
dwww.postinst script, which does some index creation - in background (squeeze's
dwww.postinst:67-71 to be exact).

Depending on the load situation on my system (CPU vs. I/O), the build fails, if
the index creation is still running, when "lb_chroot_devpts remove" is invoked
by live-build: since the index creation has some open file handles in
[...]/chroot/dev/pts, the umount command fails.

I think this is a conceptual issue, so I didn't file this bug against dwww but
live-build.

Currently, I'm circumventing this issue by invoking a "debug shell" just prior
to the umount invocation in lb_chroot_devpts in order to manually assert dwww
really has finished and the umount would succeed.

Like I said: I'm using live-build for production systems, so I only tried this
with live-build 2, not 3. Did anything change at that place or would this issue
persist in 3? ...just hoping this bug report is justified :-)

I'd be glad to provide additional information if needed.

Thx, cheers
Daniel



-- Package-specific info:

-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-updates')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-dhr-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap             0.5.7           Bootstrap a Debian system
ii  debootstrap              1.0.26+squeeze1 Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gnu-fdisk                     1.2.4-3+b1 Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools           3.0.9-1             utilities for making and checking 
ii  fakeroot             1.14.4-1            Gives a fake root environment
ii  genisoimage          9:1.1.11-1          Creates ISO-9660 CD-ROM filesystem
ii  grub                 0.97-64             GRand Unified Bootloader (dummy pa
ii  memtest86+           4.10-1.1            thorough real-mode memory tester
ii  mtools               4.0.12-1            Tools for manipulating MSDOS files
ii  parted               2.3-5               The GNU Parted disk partition resi
ii  squashfs-tools       1:4.0-8             Tool to create and append to squas
ii  sudo                 1.7.4p4-2.squeeze.2 Provide limited super user privile
ii  syslinux             2:4.03+dfsg-12      collection of boot loaders
ii  uuid-runtime         2.17.2-9            runtime components for the Univers
pn  win32-loader         <none>              (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#645240; Package live-build. (Thu, 13 Oct 2011 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 13 Oct 2011 19:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 645240@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Daniel Reichelt <debian@nachtgeist.net>
Cc: 645240@bugs.debian.org
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Thu, 13 Oct 2011 21:02:16 +0200
reassign 645240 dwww
severity 645240 serious
thanks

On 10/13/2011 08:44 PM, Daniel Reichelt wrote:
> I was able to track down the issue to the
> dwww.postinst script, which does some index creation - in background (squeeze's
> dwww.postinst:67-71 to be exact).

i don't find the corresponding location in the policy for that (i'm not
even sure it has one), but this such behaviour of a package is wrong on
so many levels. postinst, with the exception of starting daemons (which
can be controlled by policy-rc.d), shall never spawn any processes in
the background.

so.. the dwww package needs to be fixed and there's actually nothing
generic we can do about it in live-build.

for dwww, i suggest to not run the indexing in the first place and only
give a message to the user that he needs to run it (like e.g. done in
the doodle package). but at least, dwww needs to ask the user (with
debconf, default to no) to do such a thing.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reassigned from package 'live-build' to 'dwww'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 13 Oct 2011 19:03:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-build/2.0.12-2. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 13 Oct 2011 19:03:10 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 13 Oct 2011 19:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#645240; Package dwww. (Thu, 13 Oct 2011 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Thu, 13 Oct 2011 19:09:06 GMT) Full text and rfc822 format available.

Message #21 received at 645240@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Daniel Reichelt <debian@nachtgeist.net>
Cc: 645240@bugs.debian.org
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Thu, 13 Oct 2011 21:07:02 +0200
retitle 645240 set dwww/index_docs default to false
found 645240 1.11.3
thanks

On 10/13/2011 09:02 PM, Daniel Baumann wrote:
> but at least, dwww needs to ask the user (with
> debconf, default to no) to do such a thing.

just saw that dwww in both sid and squeeze has a debconf question for
it, but it does not default to false as it should.

Daniel: to cercumvent that in live-build, you can add a local preseed file.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'set dwww/index_docs default to false' from 'race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 13 Oct 2011 19:09:19 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dwww/1.11.3. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 13 Oct 2011 19:09:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#645240; Package dwww. (Thu, 13 Oct 2011 19:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Thu, 13 Oct 2011 19:18:05 GMT) Full text and rfc822 format available.

Message #30 received at 645240@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Daniel Reichelt <debian@nachtgeist.net>
Cc: 645240@bugs.debian.org
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Thu, 13 Oct 2011 21:16:11 +0200
On 10/13/2011 09:13 PM, Daniel Reichelt wrote:
>> Daniel: to cercumvent that in live-build, you can add a local preseed file.
> 
> gr8 ptr, thx so much! ...and for the quick reply!

...and then run the indexing command 'manually' from a local hook, of
course. that way you can avoid the race condition and get the same result.

and #645240 however should be kept open in order to track that the
default in dwww for the debconf question is not suitable and needs to be
changed.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#645240; Package dwww. (Thu, 13 Oct 2011 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Reichelt <debian@nachtgeist.net>:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Thu, 13 Oct 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 645240@bugs.debian.org (full text, mbox):

From: Daniel Reichelt <debian@nachtgeist.net>
To: daniel.baumann@progress-technologies.net
Cc: 645240@bugs.debian.org
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Thu, 13 Oct 2011 21:13:42 +0200
> Daniel: to cercumvent that in live-build, you can add a local preseed file.

gr8 ptr, thx so much! ...and for the quick reply!

cu
D





Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#645240; Package dwww. (Thu, 13 Oct 2011 21:17:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Thu, 13 Oct 2011 21:17:02 GMT) Full text and rfc822 format available.

Message #40 received at 645240@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: daniel.baumann@progress-technologies.net, 645240@bugs.debian.org
Cc: Daniel Reichelt <debian@nachtgeist.net>
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Thu, 13 Oct 2011 23:04:23 +0200
On 13 October 2011 21:02, Daniel Baumann
<daniel.baumann@progress-technologies.net> wrote:
> reassign 645240 dwww
> severity 645240 serious
> thanks
>
> On 10/13/2011 08:44 PM, Daniel Reichelt wrote:
>> I was able to track down the issue to the
>> dwww.postinst script, which does some index creation - in background (squeeze's
>> dwww.postinst:67-71 to be exact).
>
> i don't find the corresponding location in the policy for that (i'm not
> even sure it has one), but this such behaviour of a package is wrong on
> so many levels. postinst, with the exception of starting daemons (which
> can be controlled by policy-rc.d), shall never spawn any processes in
> the background.
>
> so.. the dwww package needs to be fixed and there's actually nothing
> generic we can do about it in live-build.
>

There is the fuser utility.

Many closedown-something scripts use that.

If that is something that should be required for quitting a chroot is
another issue.

Thanks

Michal




Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#645240; Package dwww. (Thu, 13 Oct 2011 22:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Thu, 13 Oct 2011 22:21:07 GMT) Full text and rfc822 format available.

Message #45 received at 645240@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michal Suchanek <hramrach@centrum.cz>
Cc: 645240@bugs.debian.org, Daniel Reichelt <debian@nachtgeist.net>
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Fri, 14 Oct 2011 00:19:52 +0200
On 10/13/2011 11:04 PM, Michal Suchanek wrote:
> There is the fuser utility.

of course i know fuser (and lsof etc.), however, that doesn't help much
since we cannot know in a generic way if something is supposed to
terminate and doesn't (and we hence might have to kill it, eventually,
and if so, in what state that would leave us, like broken/incomplete
data etc), or, if it just takes a very long time (because the image is
huge, or the machine slow), or if the user did intend to run it in the
first place, etc.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#645240; Package dwww. (Fri, 14 Oct 2011 12:41:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Fri, 14 Oct 2011 12:41:58 GMT) Full text and rfc822 format available.

Message #50 received at 645240@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: daniel.baumann@progress-technologies.net
Cc: 645240@bugs.debian.org, Daniel Reichelt <debian@nachtgeist.net>
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Fri, 14 Oct 2011 14:08:04 +0200
On 14 October 2011 00:19, Daniel Baumann
<daniel.baumann@progress-technologies.net> wrote:
> On 10/13/2011 11:04 PM, Michal Suchanek wrote:
>> There is the fuser utility.
>
> of course i know fuser (and lsof etc.), however, that doesn't help much
> since we cannot know in a generic way if something is supposed to
> terminate and doesn't (and we hence might have to kill it, eventually,
> and if so, in what state that would leave us, like broken/incomplete
> data etc), or, if it just takes a very long time (because the image is
> huge, or the machine slow), or if the user did intend to run it in the
> first place, etc.

Still there is

1) a bug that failure to unmount is not checked

2) a valid feature request to have the offending processes logged

Since there are valid use cases that lead to this very same error (eg.
if apt fails a big install run it takes forever to die and clean fails
because of that) I think this would be useful in general.

Thanks

Michal




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#645240; Package dwww. (Sun, 16 Oct 2011 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Luberda <robert@debian.org>:
Extra info received and forwarded to list. (Sun, 16 Oct 2011 21:03:05 GMT) Full text and rfc822 format available.

Message #55 received at 645240@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: Michal Suchanek <hramrach@centrum.cz>, 645240@bugs.debian.org
Cc: daniel.baumann@progress-technologies.net, Daniel Reichelt <debian@nachtgeist.net>, control@bugs.debian.org
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Sun, 16 Oct 2011 23:00:16 +0200
[Message part 1 (text/plain, inline)]
severity 645240 wishlist
thanks

Hi,

1. Linux, by its design, is a multi-task system, and there's nothing in
the Policy that disallows spawning background tasks from maintainer
scripts, so I don't understand why this bug was marked serious.

2. `true' is a sensible default for the question for interactive use
(when user actually sees the question). For non-interactive use, `false'
would be better. I'm thinking about distinguishing between interactive
and non-interactive usage by using debconf's seen flag - i.e. skip the
indexing if user hasn't seen the question.

3. There's another task spawned (unconditionally) by dwww's postinst:

    if ( -x "/etc/cron.daily/dwww" )
    {
        print STDERR "\nBuilding dwww pages in the background...\n";
        system("setsid /etc/cron.daily/dwww &");
    }
This should take a far less time to complete, but still there's a
similar race condition to the one reported here. So probably this also
should be run in foreground in non-interactive installation.

Regards,
robert


[signature.asc (application/pgp-signature, attachment)]

Severity set to 'wishlist' from 'serious' Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Sun, 16 Oct 2011 21:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#645240; Package dwww. (Sun, 16 Oct 2011 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Reichelt <debian@nachtgeist.net>:
Extra info received and forwarded to list. Copy sent to Robert Luberda <robert@debian.org>. (Sun, 16 Oct 2011 22:33:05 GMT) Full text and rfc822 format available.

Message #62 received at 645240@bugs.debian.org (full text, mbox):

From: Daniel Reichelt <debian@nachtgeist.net>
To: Robert Luberda <robert@debian.org>
Cc: Michal Suchanek <hramrach@centrum.cz>, 645240@bugs.debian.org, daniel.baumann@progress-technologies.net, control@bugs.debian.org
Subject: Re: Bug#645240: race-condition: background tasks run from postinst scripts cause lb_chroot_devpts to fail
Date: Mon, 17 Oct 2011 00:28:47 +0200
Hi everybody,


> 1. Linux, by its design, is a multi-task system, and there's nothing in
> the Policy that disallows spawning background tasks from maintainer
> scripts, so I don't understand why this bug was marked serious.

Actually, I have to agree on that one. (Although I'm glad it got this
much attention in the first place :p )


> 2. `true' is a sensible default for the question for interactive use
> (when user actually sees the question). For non-interactive use, `false'
> would be better. I'm thinking about distinguishing between interactive
> and non-interactive usage by using debconf's seen flag - i.e. skip the
> indexing if user hasn't seen the question.
> 
> 3. There's another task spawned (unconditionally) by dwww's postinst:
> 
>     if ( -x "/etc/cron.daily/dwww" )
>     {
>         print STDERR "\nBuilding dwww pages in the background...\n";
>         system("setsid /etc/cron.daily/dwww &");
>     }
> This should take a far less time to complete, but still there's a
> similar race condition to the one reported here. So probably this also
> should be run in foreground in non-interactive installation

Definite ACK to the latter one.

If you could achieve such a distinction, this would already help very
much. OTOH still this wouldn't constitute a general basis.


@Daniel Bauman:
Why do you think performing postinst tasks in background is "wrong on so
many levels"? As long as the setup is performed interactively and the
user gets notified accordingly, there shouldn't be an issue.
Non-interactively on he other hand, quite a bit of additional
precautions would have to be taken, no doubt. So: what's the correct
procedure here? Should this really be taken up to extending the Debian
policy?

Cheers
Daniel




Reply sent to Robert Luberda <robert@debian.org>:
You have taken responsibility. (Sun, 20 Nov 2011 23:36:14 GMT) Full text and rfc822 format available.

Notification sent to Daniel Reichelt <debian@nachtgeist.net>:
Bug acknowledged by developer. (Sun, 20 Nov 2011 23:36:14 GMT) Full text and rfc822 format available.

Message #67 received at 645240-close@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: 645240-close@bugs.debian.org
Subject: Bug#645240: fixed in dwww 1.11.7
Date: Sun, 20 Nov 2011 23:33:10 +0000
Source: dwww
Source-Version: 1.11.7

We believe that the bug you reported is fixed in the latest version of
dwww, which is due to be installed in the Debian FTP archive:

dwww_1.11.7.dsc
  to main/d/dwww/dwww_1.11.7.dsc
dwww_1.11.7.tar.gz
  to main/d/dwww/dwww_1.11.7.tar.gz
dwww_1.11.7_i386.deb
  to main/d/dwww/dwww_1.11.7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645240@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Luberda <robert@debian.org> (supplier of updated dwww package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Nov 2011 23:49:42 +0100
Source: dwww
Binary: dwww
Architecture: source i386
Version: 1.11.7
Distribution: unstable
Urgency: low
Maintainer: Robert Luberda <robert@debian.org>
Changed-By: Robert Luberda <robert@debian.org>
Description: 
 dwww       - Read all on-line documentation with a WWW browser
Closes: 645240 646988
Changes: 
 dwww (1.11.7) unstable; urgency=low
 .
   * debian/templates: set dwww/index_docs default to false (closes: #645240).
   * debian/config: check if @ret is initialized before referencing
     it (closes: #646988).
   * Switch to debhelper v9 for dpkg-buildflags support.
   * Fix errors found by cppcheck:
     + dwww-cache.c: memory leak;
     + dwww-txt2html.c: undefined behavior: variable is used as parameter
       and destination in s[n]printf().
   * makefile_common: define msg variable also when MAKE_VERBOSE is set.
   * debian/control: correct Vcs-Browser field.
Checksums-Sha1: 
 705e560fd3b2cbb773e372f1b85d4e7e19abc269 890 dwww_1.11.7.dsc
 d783ee3f9fab813c5c31bda47dbbe964d50e8fbe 138382 dwww_1.11.7.tar.gz
 5b6d9b531bc98000c0b8e1513379fbc95413aed0 131060 dwww_1.11.7_i386.deb
Checksums-Sha256: 
 dcbfa5a99053b8f356ec60805c6606fd316e0c3b5c8a242c6bff3399a3f8177c 890 dwww_1.11.7.dsc
 a7d9ab71f314f5f5808a416cebe2bb3b1c264e5aa44483216bf157101fb36353 138382 dwww_1.11.7.tar.gz
 9457b3e5fd24b1ac92d691e8015d4c0ead6fdc52b3addcc883943506dd04a095 131060 dwww_1.11.7_i386.deb
Files: 
 d139269e228092098b8a012dd0b43bda 890 doc optional dwww_1.11.7.dsc
 24af58924297515feb874c76200c006e 138382 doc optional dwww_1.11.7.tar.gz
 72564093ee15fdf305effeb717e3aebc 131060 doc optional dwww_1.11.7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7JhXcACgkQThh1cJ0wnDsAiQCdFCklp+hWYslfwborD6s7HlH4
icIAn3nIGz8G7j13hbLvRmiWkLUpiZ+B
=hIy7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Dec 2011 07:34:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:31:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.